package blackbox;

import javax.swing.Action;
import javax.swing.JButton;
import javax.swing.JToolBar;


public class ToolBar {
  private JToolBar toolbar;

  private ToolBar() {
    toolbar = new JToolBar();
    toolbar.setFloatable(false);
    toolbar.setOpaque(false);
  }

  public static ToolBar createToolBar() {
    return new ToolBar();
  }

  public JToolBar getJToolBar() {
    return toolbar;
  }

  public ToolBar addItem(Action actn) {
    JButton btn = toolbar.add(actn);
    btn.setOpaque(false);
    return this;
  }

  public ToolBar addSeperator() {
    toolbar.addSeparator();
    return this;
  }
}
